From f191dc6b55cf92eb8e1f48b41533ecf4d6161569 Mon Sep 17 00:00:00 2001
From: Carlos Corbacho <carlos@strangeworlds.co.uk>
Date: Sat, 9 Feb 2008 01:32:09 +0000
Subject: thinkpad-acpi - Move thinkpad-acpi.txt to Documentation/laptops

Also update references to thinkpad-acpi.txt in Kconfig.

Signed-off-by: Carlos Corbacho <carlos@strangeworlds.co.uk>
Signed-off-by: Randy Dunlap <randy.dunlap@oracle.com>
CC: Henrique de Moraes Holschuh <hmh@hmh.eng.br>
Signed-off-by: Len Brown <len.brown@intel.com>
---
 Documentation/00-INDEX                        |    2 --
 Documentation/laptops/00-INDEX                |    2 ++
 Documentation/{ => laptops}/thinkpad-acpi.txt |    0 
 drivers/misc/Kconfig                          |    5 +++--
 4 files changed, 5 insertions(+), 4 deletions(-)
 rename Documentation/{ => laptops}/thinkpad-acpi.txt (100%)

diff --git a/Documentation/00-INDEX b/Documentation/00-INDEX
index 3de34e5..d69b2a3 100644
--- a/Documentation/00-INDEX
+++ b/Documentation/00-INDEX
@@ -387,8 +387,6 @@ sysrq.txt
 	- info on the magic SysRq key.
 telephony/
 	- directory with info on telephony (e.g. voice over IP) support.
-thinkpad-acpi.txt
-	- information on the (IBM and Lenovo) ThinkPad ACPI Extras driver.
 time_interpolators.txt
 	- info on time interpolators.
 tipar.txt
diff --git a/Documentation/laptops/00-INDEX b/Documentation/laptops/00-INDEX
index 2edb596..e806b08 100644
--- a/Documentation/laptops/00-INDEX
+++ b/Documentation/laptops/00-INDEX
@@ -1,2 +1,4 @@
 00-INDEX
 	- This file
+thinkpad-acpi.txt
+	- information on the (IBM and Lenovo) ThinkPad ACPI Extras driver.
diff --git a/Documentation/thinkpad-acpi.txt b/Documentation/laptops/thinkpad-acpi.txt
similarity index 100%
rename from Documentation/thinkpad-acpi.txt
rename to Documentation/laptops/thinkpad-acpi.txt
diff --git a/drivers/misc/Kconfig b/drivers/misc/Kconfig
index c143a86..85ee436 100644
--- a/drivers/misc/Kconfig
+++ b/drivers/misc/Kconfig
@@ -211,8 +211,9 @@ config THINKPAD_ACPI
 	  This is a driver for the IBM and Lenovo ThinkPad laptops. It adds
 	  support for Fn-Fx key combinations, Bluetooth control, video
 	  output switching, ThinkLight control, UltraBay eject and more.
-	  For more information about this driver see 
-	  <file:Documentation/thinkpad-acpi.txt> and <http://ibm-acpi.sf.net/> .
+	  For more information about this driver see
+	  <file:Documentation/laptops/thinkpad-acpi.txt> and
+	  <http://ibm-acpi.sf.net/> .
 
 	  This driver was formerly known as ibm-acpi.
 
-- 
1.5.3.8

